package chapter29;

// FloatingNumberTest.java
// Using floating-point conversion characters.

public class FloatingNumberTest
{
    public static void main( String args[] )
    {
        System.out.printf( "%e\n", 12345678.9 );
        System.out.printf( "%e\n", +12345678.9 );
        System.out.printf( "%e\n", -12345678.9 );
        System.out.printf( "%E\n", 12345678.9 );
        System.out.printf( "%f\n", 12345678.9 );
        System.out.printf( "%g\n", 12345678.9 );
        System.out.printf( "%G\n", 12345678.9 );
    } // end main
} // end class FloatingNumberTest
